REST API/DOCUMENTS
Export a document
Download the document as PDF or Markdown.
On this page
GEThttps://api.edithpro.app/v1/documents/{id}/export
Returns a short-lived download link.
Query parameters #
NameTypeDescription
formatenum · requiredpdf or md.
Request #
curl -X GET "https://api.edithpro.app/v1/documents/{id}/export?format=pdf" \ -H "Authorization: Bearer $EDITHPRO_API_KEY"
Response #
Response · 200 OK · example
{ "url": "https://cdn.edithpro.app/exports/doc_7gq2m.pdf", "expires_at": "2026-10-09T13:24:19Z"}
Was this page helpful? REST API v1 draft · Edit this page